# Uses of Interface
org.apache.cxf.service.Service

Packages that use Service
Package
Description
org.apache.cxf.binding
org.apache.cxf.databinding
org.apache.cxf.databinding.source
org.apache.cxf.databinding.stax
org.apache.cxf.endpoint
org.apache.cxf.interceptor
org.apache.cxf.message
org.apache.cxf.service
org.apache.cxf.service.factory
org.apache.cxf.service.model

- ## Uses of Service in org.apache.cxf.binding

  Methods in org.apache.cxf.binding with parameters of type Service
  Modifier and Type
  Method
  Description
  `BindingInfo`
  AbstractBindingFactory.`createBindingInfo(Service service, String namespace, Object config)`
  Creates a "default" BindingInfo object for the service.
  `BindingInfo`
  BindingFactory.`createBindingInfo(Service service, String namespace, Object configObject)`
  Create a "default" BindingInfo object for the service.

- ## Uses of Service in org.apache.cxf.databinding

  Methods in org.apache.cxf.databinding with parameters of type Service
  Modifier and Type
  Method
  Description
  `void`
  DataBinding.`initialize(Service service)`
  Initialize the service info (i.e. type & element names, Schemas) with information from the databinding.

- ## Uses of Service in org.apache.cxf.databinding.source

  Methods in org.apache.cxf.databinding.source with parameters of type Service
  Modifier and Type
  Method
  Description
  `void`
  SourceDataBinding.`initialize(Service service)`

- ## Uses of Service in org.apache.cxf.databinding.stax

  Methods in org.apache.cxf.databinding.stax with parameters of type Service
  Modifier and Type
  Method
  Description
  `void`
  StaxDataBinding.`initialize(Service service)`

- ## Uses of Service in org.apache.cxf.endpoint

  Methods in org.apache.cxf.endpoint that return Service
  Modifier and Type
  Method
  Description
  `Service`
  Endpoint.`getService()`
  `Service`
  EndpointImpl.`getService()`
  Methods in org.apache.cxf.endpoint with parameters of type Service
  Modifier and Type
  Method
  Description
  `EndpointImpl`
  EndpointImplFactory.`newEndpointImpl(Bus bus, Service service, EndpointInfo endpointInfo)`
  Create an EndpointImpl from a bus, service, and endpoint info.
  `EndpointImpl`
  SimpleEndpointImplFactory.`newEndpointImpl(Bus bus, Service service, EndpointInfo endpointInfo)`
  Create an EndpointImpl from a bus, service, and endpoint info.
  Constructors in org.apache.cxf.endpoint with parameters of type Service
  Modifier
  Constructor
  Description
  ``
  `ClientImpl(Bus bus, Service svc, QName port, EndpointImplFactory endpointImplFactory)`
  Create a Client that uses a specific EndpointImpl.
  ``
  `EndpointImpl(Bus bus, Service s, QName endpointName)`
  ``
  `EndpointImpl(Bus bus, Service s, EndpointInfo ei)`

- ## Uses of Service in org.apache.cxf.interceptor

  Methods in org.apache.cxf.interceptor with parameters of type Service
  Modifier and Type
  Method
  Description
  `protected <T> DataWriter<T>`
  AbstractOutDatabindingInterceptor.`getDataWriter(Message message, Service service, Class<T> output)`
  `protected void`
  AbstractInDatabindingInterceptor.`setDataReaderValidation(Service service, Message message, DataReader<?> reader)`
  Based on the Schema Validation configuration, will initialise the DataReader with or without the schema set.
  `protected boolean`
  AbstractOutDatabindingInterceptor.`writeToOutputStream(Message m, BindingInfo info, Service s)`

- ## Uses of Service in org.apache.cxf.message

  Methods in org.apache.cxf.message that return Service
  Modifier and Type
  Method
  Description
  `Service`
  Exchange.`getService()`
  `Service`
  ExchangeImpl.`getService()`

- ## Uses of Service in org.apache.cxf.service

  Classes in org.apache.cxf.service that implement Service
  Modifier and Type
  Class
  Description
  `class`
  `ServiceImpl`

- ## Uses of Service in org.apache.cxf.service.factory

  Methods in org.apache.cxf.service.factory that return Service
  Modifier and Type
  Method
  Description
  `abstract Service`
  AbstractServiceFactoryBean.`create()`
  `Service`
  AbstractServiceFactoryBean.`getService()`
  Methods in org.apache.cxf.service.factory with parameters of type Service
  Modifier and Type
  Method
  Description
  `protected void`
  AbstractServiceFactoryBean.`setService(Service service)`

- ## Uses of Service in org.apache.cxf.service.model

  Methods in org.apache.cxf.service.model that return Service
  Modifier and Type
  Method
  Description
  `static Service`
  ServiceModelUtil.`getService(Exchange exchange)`